Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Configurator Class Referenceabstract

Implemented by classes capable of configuring log4j using a URL. More...

Inherits Object.

Inherited by PropertyConfigurator`[virtual]`, and DOMConfigurator`[virtual]`.

## Public Member Functions
| Configurator ()
virtual void | doConfigure (const File &configFileName, spi::LoggerRepositoryPtr &repository)=0
| Interpret a resource pointed by a URL and set up log4j accordingly. More...
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

Implemented by classes capable of configuring log4j using a URL.

## Constructor & Destructor Documentation

Configurator | ( |  | ) |

## Member Function Documentation

virtual void doConfigure | ( | const File & | configFileName,
|  | spi::LoggerRepositoryPtr & | repository
| ) |  |
| pure virtual

Interpret a resource pointed by a URL and set up log4j accordingly.

The configuration is done relative to the `hierarchy` parameter.

Parameters

  configFileName | The file to parse
  repository | The hierarchy to operation upon.

Implemented in PropertyConfigurator, and DOMConfigurator.

The documentation for this class was generated from the following file:

- configurator.h